org.bouncycastle.openpgp

## Class PGPPrivateKey

- java.lang.Object
- - org.bouncycastle.openpgp.PGPPrivateKey

    public class PGPPrivateKey
    extends java.lang.Object

general class to contain a private key for use with other openPGP objects.

### Constructor Summary

Constructors
Constructor and Description
`PGPPrivateKey(java.security.PrivateKey privateKey, long keyID)` Create a PGPPrivateKey from a regular private key and the keyID of its associated public key.

### Method Summary

Methods
`java.security.PrivateKey` `getKey()` Return the contained private key.
`long` `getKeyID()` Return the keyID associated with the contained private key.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PGPPrivateKey

    public PGPPrivateKey(java.security.PrivateKey privateKey,
                 long keyID)

Create a PGPPrivateKey from a regular private key and the keyID of its associated public key.

Parameters:
  `privateKey` - private key tu use.
  `keyID` - keyID of the corresponding public key.

### Method Detail

#### getKeyID

    public long getKeyID()

Return the keyID associated with the contained private key.

Returns:
  long

#### getKey

    public java.security.PrivateKey getKey()

Return the contained private key.

Returns:
  PrivateKey